package com.hzya.frame.voucher.ae.comf.bd.controller;

import com.hzya.frame.voucher.ae.comf.bd.dao.IAeConfBdBdinfoDao;
import com.hzya.frame.voucher.ae.comf.bd.dao.IAeConfBdOrgBookVODao;
import com.hzya.frame.voucher.ae.comf.bd.entity.AeConfBdBdinfoEntity;
import com.hzya.frame.voucher.ae.comf.bd.entity.OrgBookVO;
import com.hzya.frame.web.action.DefaultController;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Created by zydd on 2025-06-04 15:04
 */
@RestController
@RequestMapping("/ae/conf/bd")
public class BdController extends DefaultController {

    @Autowired
    private IAeConfBdOrgBookVODao aeConfBdOrgBookVODao;
    @Autowired
    private IAeConfBdBdinfoDao aeConfBdBdinfoDao;

    /**
     * 查询所有公司账簿信息
     */
    @RequestMapping(value = "/queryOrgBookVO", method = RequestMethod.POST)
    public JsonResultEntity queryOrgBookVO(@RequestBody OrgBookVO vo) {
        try {
            List<OrgBookVO> all = aeConfBdOrgBookVODao.queryOrgBookVO(vo);
            return getSuccessMessageEntity("请求成功", all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }

    /**
     * 查询基础数据资源表
     */
    @RequestMapping(value = "/queryBdinfoList", method = RequestMethod.POST)
    public JsonResultEntity queryBdinfoList(@RequestBody AeConfBdBdinfoEntity entity) {
        try {
            List<AeConfBdBdinfoEntity> all = aeConfBdBdinfoDao.queryByLike(entity);
            return getSuccessMessageEntity("请求成功", all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }

}
